package com.atlassian.stash.internal.web.util.xsrf;

import javax.annotation.Nullable;
import javax.servlet.http.HttpServletRequest;

/**
 *
 */
public interface XsrfTokenGenerator {

    @Nullable
    String generateToken(HttpServletRequest request);

    String getXsrfTokenName();

    boolean hasValidToken(HttpServletRequest request);

}
